Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::_ConfigOption Struct Reference

Packages the details of a configuration option. More...

`#include <OgreConfigOptionMap.h>`

List of all members.

## Public Attributes
String | name
String | currentValue
StringVector | possibleValues
bool | immutable

## Detailed Description

Packages the details of a configuration option.

Remarks:
  Used for RenderSystem::getConfigOptions. If immutable is true, this option must be disabled for modifying.

Definition at line 45 of file OgreConfigOptionMap.h.

## Member Data Documentation

String Ogre::_ConfigOption::currentValue

| Definition at line 48 of file OgreConfigOptionMap.h.

bool Ogre::_ConfigOption::immutable

| Definition at line 50 of file OgreConfigOptionMap.h.

String Ogre::_ConfigOption::name

| Definition at line 47 of file OgreConfigOptionMap.h.

StringVector Ogre::_ConfigOption::possibleValues

| Definition at line 49 of file OgreConfigOptionMap.h.

The documentation for this struct was generated from the following file:

- OgreConfigOptionMap.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:51:10 2007